/*
	validEmail
	jQuery plugin for Email validation
	Version 1.0.0
	Written By Qassim Hassan
	Twitter: @QQQHZ
	Websites: wp-time.com | qass.im | wp-plugins.in
	Dual licensed under the MIT and GPL licenses:
		http://www.opensource.org/licenses/mit-license.php
		http://www.gnu.org/licenses/gpl.html
	Copyright (c) 2016 - Qassim Hassan
*/

(function ( $ ) {
 
    $.fn.validEmail = function(options) {

		var veOptions = $.extend({
			errorMessage: "Please enter a valid Email!", // Default error message.
            errorBorderColor: "red", // Defalut border color if value is not valid Email.
            validBorderColor: "blue", // Defalut border color if value is valid Email.
        }, options );

    	$(this).change(function(){
    		var getInputValue = $(this).val(); // Get input value.

            if( !getInputValue.match( /(@)+[a-zA-Z0-9]+(\.)+[a-zA-Z]/ ) ){ // Check if input value is Email or not:
    		// If not email:
    			alert( veOptions.errorMessage ); // Display error message! You can remove this line.
    			$(this).css("border", "1px solid "+veOptions.errorBorderColor); // Change red border to input.
    			return false;
    		}else{
    		// If input value is valid Email:
    			$(this).css("border", "1px solid "+veOptions.validBorderColor); // Change border color to blue.
    		}

    	});

    };
 
}( jQuery ));